Main Page Widgets Namespaces Book

# Gtk::ComboDropDown_Helpers::ComboDropDownList Class Reference

Inheritance diagram for Gtk::ComboDropDown_Helpers::ComboDropDownList:

[legend]
List of all members.

## Public Types

typedef Glib::HelperList< ComboDropDownItem, const Element, Glib::List_Cpp_Iterator< GtkListItem, ComboDropDownItem > > | type_base

## Public Member Functions

| ComboDropDownList ()
| ComboDropDownList (GtkList* gparent)
| ComboDropDownList (const ComboDropDownList& src)
virtual | ~ComboDropDownList ()
ComboDropDownList& | operator= (const ComboDropDownList& src)
GtkList* | gparent ()
const GtkList* | gparent () const
virtual GList*& | glist () const
virtual void | erase (iterator start, iterator stop)
virtual iterator | erase (iterator)
virtual void | remove (const_reference)
reference | operator[] (size_type l) const
| This is order n. (use at own risk).
iterator | insert (iterator position, element_type& e)
template <class InputIterator> void | insert (iterator position, InputIterator first, InputIterator last)
void | push_front (element_type& e)
void | push_back (element_type& e)
iterator | find (const_reference c)
iterator | find (Widget&)

## Member Typedef Documentation

typedef Glib::HelperList<ComboDropDownItem, const Element, Glib::List_Cpp_Iterator<GtkListItem,ComboDropDownItem>> Gtk::ComboDropDown_Helpers::ComboDropDownList::type_base

## Constructor & Destructor Documentation

Gtk::ComboDropDown_Helpers::ComboDropDownList::ComboDropDownList | ( |  | ) |

Gtk::ComboDropDown_Helpers::ComboDropDownList::ComboDropDownList | ( | GtkList* | gparent | ) | `[explicit]`

Gtk::ComboDropDown_Helpers::ComboDropDownList::ComboDropDownList | ( | const ComboDropDownList& | src | ) |

virtual Gtk::ComboDropDown_Helpers::ComboDropDownList::~ComboDropDownList | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual iterator Gtk::ComboDropDown_Helpers::ComboDropDownList::erase | ( | iterator |  | ) | `[virtual]`

virtual void Gtk::ComboDropDown_Helpers::ComboDropDownList::erase | ( | iterator | start,
|  | iterator | stop
| ) | `[virtual]`

iterator Gtk::ComboDropDown_Helpers::ComboDropDownList::find | ( | Widget& |  | ) |

iterator Gtk::ComboDropDown_Helpers::ComboDropDownList::find | ( | const_reference | c | ) |

virtual GList*& Gtk::ComboDropDown_Helpers::ComboDropDownList::glist | ( |  | ) | const`[virtual]`

const GtkList* Gtk::ComboDropDown_Helpers::ComboDropDownList::gparent | ( |  | ) | const

GtkList* Gtk::ComboDropDown_Helpers::ComboDropDownList::gparent | ( |  | ) |

template <class InputIterator>
void Gtk::ComboDropDown_Helpers::ComboDropDownList::insert | ( | iterator | position,
|  | InputIterator | first,
|  | InputIterator | last
| ) | `[inline]`

iterator Gtk::ComboDropDown_Helpers::ComboDropDownList::insert | ( | iterator | position,
|  | element_type& | e
| ) |

ComboDropDownList& Gtk::ComboDropDown_Helpers::ComboDropDownList::operator= | ( | const ComboDropDownList& | src | ) |

reference Gtk::ComboDropDown_Helpers::ComboDropDownList::operator[] | ( | size_type | l | ) | const

| This is order n. (use at own risk).

void Gtk::ComboDropDown_Helpers::ComboDropDownList::push_back | ( | element_type& | e | ) | `[inline]`

void Gtk::ComboDropDown_Helpers::ComboDropDownList::push_front | ( | element_type& | e | ) | `[inline]`

virtual void Gtk::ComboDropDown_Helpers::ComboDropDownList::remove | ( | const_reference |  | ) | `[virtual]`

The documentation for this class was generated from the following file:

- combo.h